# PSF-LoginServer - master - net.psforever.objects.guid.GUIDTask
PSF - LoginServer - master - net.psforever.objects.guid.GUIDTask
Keywords: PSF LoginServer master net.psforever.objects.guid.GUIDTask

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package actor
  Definition Classes
    guid
-  package key
  Definition Classes
    guid
-  package pool
  Definition Classes
    guid
-  package selector
  Definition Classes
    guid
-  package source
  Definition Classes
    guid
- AvailabilityPolicy
- GUIDTask
- NumberPoolHub
- Task
- TaskResolver

o

net.psforever.objects.guid

# GUIDTask

###

#### object GUIDTask

The basic compiled tasks for assigning (registering) and revoking (unregistering) globally unique identifiers.
Almost all of these functions will be invoked from `WorldSessionActor`. Some of the "unregistering" functions will invoke on delayed `Service` operations, indicating behavior that is not user/observer dependent. The object's (current) `Zone` must also be knowable since the GUID systems are tied to individual zones. For simplicity, all functions have the same format where the hook into the GUID system is an `implicit` parameter. It will get passed from the more complicated functions down into the less complicated functions, until it has found the basic number assignment functionality.
All functions produce a `TaskResolver.GiveTask` container object or a list of `TaskResolver.GiveTask` container objects that is expected to be used by a `TaskResolver` `Actor`. These "task containers" can also be unpackaged into their component tasks, sorted into other containers, and combined with other tasks to enact more complicated sequences of operations. Almost all tasks have an explicit registering and an unregistering activity defined for it.

Source
  GUIDTask.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GUIDTask
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def RegisterAvatar(tplayer: Player)(implicit guid: ActorRef): GiveTask

   Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Player`.
   `Player` objects are far more complicated than `Tools` (but they are not `Equipment`).

   Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Player`.
   `Player` objects are far more complicated than `Tools` (but they are not `Equipment`). A player has an inventory in which it can hold a countable number of `Equipment`; and, this inventory holds a sub-inventory with its own countable number of `Equipment`. Although a process of completing and inserting `Equipment` into the inventories that looks orderly can be written, this function assumes that the player is already fully composed. Use this function for an sudden introduction of the player into his environment (as defined by the scope of the unique number system). For working with processes concerning these "orderly insertions," a task built of lesser registration tasks and supporting tasks should be written instead.

   tplayer

     the `Player` object being registered

   guid

     implicit reference to a unique number system

   returns

     a `TaskResolver.GiveTask` message

5.  def RegisterDeployableTurret(obj: PlanetSideGameObject with WeaponTurret)(implicit guid: ActorRef): GiveTask
6.  def RegisterEquipment(obj: Equipment)(implicit guid: ActorRef): GiveTask

   Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, after determining whether the object is complex (`Tool` or `Locker`) or is simple.
   The objects in this case are specifically `Equipment`, a subclass of the basic register-able `IdentifiableEntity`.

   Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, after determining whether the object is complex (`Tool` or `Locker`) or is simple.
   The objects in this case are specifically `Equipment`, a subclass of the basic register-able `IdentifiableEntity`. About five subclasses of `Equipment` exist, but they decompose into two groups - "complex objects" and "simple objects." "Simple objects" are most groups of `Equipment` and just their own GUID to be registered. "Complex objects" are just the `Tool` category of `Equipment`. They have internal objects that must also have their GUID's registered to function.
   Using this function when passing unknown `Equipment` is recommended. The type will be sorted and the object will be handled according to its complexity level.

   obj

     the `Equipment` object being registered

   guid

     implicit reference to a unique number system

   returns

     a `TaskResolver.GiveTask` message

7.  def RegisterInventory(container: Container)(implicit guid: ActorRef): List[GiveTask]

   Construct tasking that registers the objects that are within the given container's inventory with a globally unique identifier selected from a pool of numbers for each object.

   Construct tasking that registers the objects that are within the given container's inventory with a globally unique identifier selected from a pool of numbers for each object.

   container

     the storage unit in which objects can be found

   guid

     implicit reference to a unique number system

   returns

     a list of `TaskResolver.GiveTask` messages

   See also

     `GUID.UnregisterInventory`
     `Container`

8.  def RegisterLocker(obj: LockerEquipment)(implicit guid: ActorRef): GiveTask
9.  def RegisterLocker(obj: LockerContainer)(implicit guid: ActorRef): GiveTask

   Construct tasking that registers a `LockerContainer` object with a globally unique identifier selected from a pool of numbers.

   Construct tasking that registers a `LockerContainer` object with a globally unique identifier selected from a pool of numbers.

   obj

     the object being registered

   guid

     implicit reference to a unique number system

   returns

     a `TaskResolver.GiveTask` message

   See also

     `GUIDTask.UnregisterLocker`

10.  def RegisterObjectTask(obj: IdentifiableEntity)(implicit guid: ActorRef): GiveTask

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers.
    Regardless of the complexity of the object provided to this function, only the current depth will be assigned a GUID.

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers.
    Regardless of the complexity of the object provided to this function, only the current depth will be assigned a GUID. This is the most basic operation that all objects that can be assigned a GUID must perform.

    obj

      the object being registered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

11.  def RegisterPlayer(tplayer: Player)(implicit guid: ActorRef): GiveTask

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Player`.
    Similar to `RegisterAvatar` but the locker components are skipped.

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Player`.
    Similar to `RegisterAvatar` but the locker components are skipped.

    tplayer

      the `Player` object being registered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

12.  def RegisterTool(obj: Tool)(implicit guid: ActorRef): GiveTask

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Tool`.
    `Tool` objects are complicated by an internal structure informally called a "magazine feed." The objects in the magazine feed are called `AmmoBox` objects.

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Tool`.
    `Tool` objects are complicated by an internal structure informally called a "magazine feed." The objects in the magazine feed are called `AmmoBox` objects. Each `AmmoBox` object can be registered to a unique number system much like the `Tool` itself; and, each must be registered properly for the whole of the `Tool` to be communicated from the server to the client. While the matter has been abstracted for convenience, most `Tool` objects will have only one `AmmoBox` at a time and the common outlier will only be two.
    Do not invoke this function unless certain the object will be of type `Tool`, else use a more general function to differentiate between simple and complex objects.

    obj

      the `Tool` object being registered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterEquipment`

13.  def RegisterVehicle(vehicle: Vehicle)(implicit guid: ActorRef): GiveTask

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Vehicle`.
    `Vehicle` objects are far more complicated than `Tools` (but they are not `Equipment`).

    Construct tasking that registers an object with a globally unique identifier selected from a pool of numbers, as a `Vehicle`.
    `Vehicle` objects are far more complicated than `Tools` (but they are not `Equipment`). A vehicle has an inventory in which it can hold a countable number of `Equipment`; and, it may possess weapons (`Tools`, usually) that are firmly mounted on its outside. (This is similar to the holsters on a `Player` object but they can not be swapped out for other `Equipment` or for nothing.) Although a process of completing and inserting `Equipment` into the inventories that looks orderly can be written, this function assumes that the vehicle is already fully composed. Use this function for an sudden introduction of the vehicle into its environment (as defined by the scope of the unique number system). For working with processes concerning these "orderly insertions," a task built of lesser registration tasks and supporting tasks should be written instead.

    vehicle

      the `Vehicle` object being registered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

14.  def UnregisterAvatar(tplayer: Player)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters a `Player` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterAvatar`.

    Construct tasking that unregisters a `Player` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterAvatar`.

    tplayer

      the `Player` object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterAvatar`

15.  def UnregisterDeployableTurret(obj: PlanetSideGameObject with WeaponTurret)(implicit guid: ActorRef): GiveTask
16.  def UnregisterEquipment(obj: Equipment)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters an object from a globally unique identifier system after determining whether the object is complex (`Tool` or `Locker`) or is simple.
    This task performs an operation that reverses the effect of `RegisterEquipment`.

    Construct tasking that unregisters an object from a globally unique identifier system after determining whether the object is complex (`Tool` or `Locker`) or is simple.
    This task performs an operation that reverses the effect of `RegisterEquipment`.

    obj

      the `Equipment` object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterEquipment`

17.  def UnregisterInventory(container: Container)(implicit guid: ActorRef): List[GiveTask]

    Construct tasking that unregisters the objects that are within the given container's inventory from a globally unique identifier system.

    Construct tasking that unregisters the objects that are within the given container's inventory from a globally unique identifier system.

    container

      the storage unit in which objects can be found

    guid

      implicit reference to a unique number system

    returns

      a list of `TaskResolver.GiveTask` messages

    See also

      `GUIDTask.RegisterInventory`
      `Container`

18.  def UnregisterLocker(obj: LockerEquipment)(implicit guid: ActorRef): GiveTask
19.  def UnregisterLocker(obj: LockerContainer)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters a `LockerContainer` object from a globally unique identifier system.

    Construct tasking that unregisters a `LockerContainer` object from a globally unique identifier system.

    obj

      the object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterLocker`

20.  def UnregisterObjectTask(obj: IdentifiableEntity)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters an object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterObjectTask`.

    Construct tasking that unregisters an object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterObjectTask`. It is the most basic operation that all objects that can have their GUIDs revoked must perform.

    obj

      the object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterObjectTask`

21.  def UnregisterPlayer(tplayer: Player)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters a portion of a `Player` object from a globally unique identifier system.
    Similar to `UnregisterAvatar` but the locker components are skipped.

    Construct tasking that unregisters a portion of a `Player` object from a globally unique identifier system.
    Similar to `UnregisterAvatar` but the locker components are skipped. This task performs an operation that reverses the effect of `RegisterPlayer`.

    tplayer

      the `Player` object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterAvatar`

22.  def UnregisterTool(obj: Tool)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters a `Tool` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterTool`.

    Construct tasking that unregisters a `Tool` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterTool`.

    obj

      the `Tool` object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterTool`

23.  def UnregisterVehicle(vehicle: Vehicle)(implicit guid: ActorRef): GiveTask

    Construct tasking that unregisters a `Vehicle` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterVehicle`.

    Construct tasking that unregisters a `Vehicle` object from a globally unique identifier system.
    This task performs an operation that reverses the effect of `RegisterVehicle`.

    vehicle

      the `Vehicle` object being unregistered

    guid

      implicit reference to a unique number system

    returns

      a `TaskResolver.GiveTask` message

    See also

      `GUIDTask.RegisterVehicle`

24.  def VisibleSlotTaskBuilding(list: Iterable[EquipmentSlot], func: (Equipment) => GiveTask)(implicit guid: ActorRef): List[GiveTask]

    Construct tasking that allocates work upon encountered `Equipment` objects in reference to a globally unique identifier system of a pool of numbers.

    Construct tasking that allocates work upon encountered `Equipment` objects in reference to a globally unique identifier system of a pool of numbers. "Visible slots" are locations that can be viewed by multiple observers across a number of clients.

    list

      an `Iterable` sequence of `EquipmentSlot` objects that may or may not have equipment

    func

      the function used to build tasking from any discovered `Equipment`; strictly either `RegisterEquipment` or `UnregisterEquipment`

    guid

      implicit reference to a unique number system

    returns

      a list of `TaskResolver.GiveTask` messages

25.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
26.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped